For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
      • GETList all the exports
      • POSTExport leads based on a search query
      • POSTExport opportunities, based on opportunity filters
      • GETGet a single Export
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
Automation & Bulk ActionsExports

List all the exports

||View as Markdown|
GET
https://api.close.com/api/v1/export/
GET
/api/v1/export/
$curl https://api.close.com/api/v1/export/ \
> -u "<CLOSE_API_KEY>:"
1{
2 "data": [
3 {
4 "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
5 "date_created": "2014-04-02T15:00:05.190000+00:00",
6 "date_format": "iso8601",
7 "date_updated": "2014-04-02T23:36:30.719000+00:00",
8 "download_url": "https://url-to-generated-leads.csv",
9 "fields": [
10 "addresses",
11 "contacts",
12 "created_by",
13 "created_by_name",
14 "custom",
15 "date_created",
16 "date_updated",
17 "description",
18 "display_name",
19 "id",
20 "name",
21 "status_id",
22 "status_label",
23 "updated_by",
24 "updated_by_name",
25 "url"
26 ],
27 "format": "csv",
28 "id": "expo_yasd512lkhIhxrvLG8iVupzjoJVRPgrGhJ0A0b3bae",
29 "n_docs": 100000,
30 "n_docs_processed": 100000,
31 "organization_id": "orga_klasjd123vxiEY58eTGQmFNG3LPlEVQ4V7Nk",
32 "results_limit": null,
33 "s_query": {
34 "queries": [
35 {
36 "object_type": "lead",
37 "type": "object_type"
38 },
39 {
40 "condition": {
41 "mode": "full_words",
42 "type": "text",
43 "value": "ACME Inc."
44 },
45 "field": {
46 "field_name": "name",
47 "object_type": "lead",
48 "type": "regular_field"
49 },
50 "type": "field_condition"
51 }
52 ],
53 "type": "and"
54 },
55 "send_done_email": false,
56 "sort": [],
57 "status": "done",
58 "type": "leads",
59 "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
60 },
61 {
62 "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
63 "date_created": "2014-04-02T15:32:54.774000+00:00",
64 "date_updated": "2014-04-02T23:35:59.704000+00:00",
65 "download_url": "https://url-to-generated-contacts.json",
66 "fields": [
67 "created_by",
68 "date_created",
69 "date_updated",
70 "emails",
71 "id",
72 "name",
73 "phones",
74 "title",
75 "updated_by",
76 "urls"
77 ],
78 "format": "json",
79 "id": "expo_9lHXk6sbASDKFJNZ59arhUCdS2CqNm9OTv6yb",
80 "n_docs": 100000,
81 "n_docs_processed": 100000,
82 "organization_id": "orga_klasjd123vxiEY58eTGQmFNG3LPlEVQ4V7Nk",
83 "results_limit": null,
84 "s_query": {
85 "queries": [
86 {
87 "object_type": "lead",
88 "type": "object_type"
89 },
90 {
91 "condition": {
92 "mode": "full_words",
93 "type": "text",
94 "value": "ACME Inc."
95 },
96 "field": {
97 "field_name": "name",
98 "object_type": "lead",
99 "type": "regular_field"
100 },
101 "type": "field_condition"
102 }
103 ],
104 "type": "and"
105 },
106 "send_done_email": false,
107 "sort": [],
108 "status": "done",
109 "type": "contacts",
110 "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
111 },
112 {
113 "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
114 "date_created": "2014-04-02T15:32:54.774000+00:00",
115 "date_format": "iso8601",
116 "date_updated": "2014-04-02T23:35:59.704000+00:00",
117 "download_url": null,
118 "fields": [
119 "created_by",
120 "date_created",
121 "date_updated",
122 "emails",
123 "id",
124 "name",
125 "phones",
126 "title",
127 "updated_by",
128 "urls"
129 ],
130 "format": "csv",
131 "id": "expo_9lHXk6sbznxcuQOEASDF59arhUCdS2CqNm9OTv6yb",
132 "n_docs": 100000,
133 "n_docs_processed": 5000,
134 "organization_id": "orga_klasjd123vxiEY58eTGQmFNG3LPlEVQ4V7Nk",
135 "results_limit": null,
136 "s_query": {
137 "queries": [
138 {
139 "object_type": "lead",
140 "type": "object_type"
141 },
142 {
143 "condition": {
144 "mode": "full_words",
145 "type": "text",
146 "value": "ACME Inc."
147 },
148 "field": {
149 "field_name": "name",
150 "object_type": "lead",
151 "type": "regular_field"
152 },
153 "type": "field_condition"
154 }
155 ],
156 "type": "and"
157 },
158 "send_done_email": false,
159 "sort": [],
160 "status": "in_progress",
161 "type": "lead_opps",
162 "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
163 },
164 {
165 "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
166 "date_created": "2014-04-01T16:50:22.256000+00:00",
167 "date_format": "iso8601",
168 "date_updated": "2014-04-02T00:55:34.967000+00:00",
169 "download_url": "https://url-to-generated-opps.csv",
170 "fields": [
171 "confidence",
172 "contact_id",
173 "created_by",
174 "created_by_name",
175 "date_created",
176 "date_updated",
177 "date_won",
178 "id",
179 "lead_id",
180 "lead_name",
181 "note",
182 "status_id",
183 "status_label",
184 "status_type",
185 "updated_by",
186 "updated_by_name",
187 "user_id",
188 "user_name",
189 "value",
190 "value_period"
191 ],
192 "format": "csv",
193 "id": "expo_ASFasdfasdAY8VZhRiSn5UG2wNGRUrRurHdaN7kQp6",
194 "n_docs": 100000,
195 "n_docs_processed": 100000,
196 "organization_id": "orga_klasjd123vxiEY58eTGQmFNG3LPlEVQ4V7Nk",
197 "params": {
198 "organization_id": "orga_klasjd123vxiEY58eTGQmFNG3LPlEVQ4V7Nk",
199 "status_id": "stat_laksdjfxOOHx2JnhqtovutN3zeuARGfzB21x5t1W88G"
200 },
201 "send_done_email": false,
202 "status": "done",
203 "type": "opps",
204 "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
205 }
206 ],
207 "has_more": false
208}
Was this page helpful?
Previous

Exports

Next

Export leads based on a search query

Built with

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

_limitintegerOptionalDefaults to 100
Number of results to return.
_skipintegerOptionalDefaults to 0
Number of results to skip before returning, for pagination.
_fieldsstringOptional

Comma-separated list of fields to include in the response.

Response

Successful response

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error